OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions
road_cmd.h File Reference

Road related functions. More...

`#include "direction_type.h"`
`#include "road_type.h"`

Go to the source code of this file.

## Functions
void | DrawRoadDepotSprite (int x, int y, DiagDirection dir, RoadType rt)
| Draw the road depot sprite.
void | UpdateNearestTownForRoadTiles (bool invalidate)
| Updates cached nearest town for all road tiles.

## Detailed Description

Road related functions.

Definition in file road_cmd.h.

## Function Documentation

void DrawRoadDepotSprite | ( | int | x,
|  | int | y,
|  | DiagDirection | dir,
|  | RoadType | rt
| ) |  |

Draw the road depot sprite.

Parameters

  x | The x offset to draw at.
  y | The y offset to draw at.
  dir | The direction the depot must be facing.
  rt | The road type of the depot to draw.

Definition at line 1410 of file road_cmd.cpp.

References _local_company, DrawOrigTileSeqInGUI(), DrawSprite(), DrawTileSprites::ground, ROADTYPE_TRAM, and PalSpriteID::sprite.

Referenced by BuildRoadDepotWindow::DrawWidget().

void UpdateNearestTownForRoadTiles | ( | bool | invalidate | ) |

Updates cached nearest town for all road tiles.

Parameters

  invalidate | are we just invalidating cached data?

Precondition
  invalidate == true implies _generating_world == true

Definition at line 1424 of file road_cmd.cpp.

References _generating_world, CalcClosestTownFromTile(), HasTownOwnedRoad(), Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >::index, IsRoadDepot(), IsTileType(), MapSize(), MP_ROAD, and SetTownIndex().

Referenced by AfterLoadGame(), CmdFoundTown(), FoundTownWindow::OnClick(), and Town::PostDestructor().